Name:           berusky
Version:        1.7.2
Release:        %mkrel 1
Summary:        Advanced sokoban clone with nice graphics
License:        GPLv2+
Group:          Games/Puzzles
URL:            https://www.anakreon.cz
Source0:        https://anakreon.cz/download/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Patch1:         berusky-1.7.2-mga-fix-working-paths.patch

BuildRequires:  gettext
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
Requires:       %{name}-data >= 1.7

%description
Berusky is a 2D logic game based on an ancient puzzle named Sokoban.

An old idea of moving boxes in a maze has been expanded with new logic
items such as explosives, stones, special gates and so on.
In addition, up to five bugs can cooperate and be controlled by the player.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# Remove docs from a wrong directory
rm -rf %{buildroot}%{_prefix}/doc

# Install icon
install -D -p %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

# Desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Berusky
Comment=Rescue the bugs!
Exec=%{name}
Terminal=false
Type=Application
StartupNotify=false
Icon=%{name}
Categories=Game;LogicGame;
EOF

# Move berusyk.ini to /etc
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/%{name}.ini %{buildroot}%{_sysconfdir}/%{name}

# Fix path for the games data dir for files from berusky-data
rm -fR %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

# Move binary to /usr/games
mv %{buildroot}%{_bindir} %{buildroot}%{_gamesbindir}

%files
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/%{name}/*


%changelog
* Tue Jun 30 2020 akien <akien> 1.7.2-1.mga8
+ Revision: 1600650
- Version 1.7.2

* Wed Feb 12 2020 umeabot <umeabot> 1.7.1-4.mga8
+ Revision: 1510727
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.7.1-3.mga7
+ Revision: 1295414
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.7.1-2.mga6
+ Revision: 950778
- Mageia 6 Mass Rebuild

* Fri Nov 21 2014 akien <akien> 1.7.1-1.mga5
+ Revision: 798034
- Version 1.7.1
- Remove upstream patch included in the new version

* Wed Oct 15 2014 umeabot <umeabot> 1.7-4.mga5
+ Revision: 743217
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 akien <akien> 1.7-3.mga5
+ Revision: 736793
- Fix Exec in desktop file
- Add upstream patch to fix crash with Nvidia drivers

* Tue Sep 16 2014 umeabot <umeabot> 1.7-2.mga5
+ Revision: 678141
- Mageia 5 Mass Rebuild

* Thu Feb 20 2014 akien <akien> 1.7-1.mga5
+ Revision: 595137
- Require the same version of berusky-data
- New version 1.7: https://raw2.github.com/stransky/berusky/v1.7/ChangeLog

* Fri Oct 18 2013 umeabot <umeabot> 1.6-4.mga4
+ Revision: 503095
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.6-3.mga3
+ Revision: 346893
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 1.6-2.mga3
+ Revision: 336525
- fix build with new automake 1.13

* Tue Dec 11 2012 kamil <kamil> 1.6-1.mga3
+ Revision: 329707
- new version 1.6

* Sat Dec 01 2012 kamil <kamil> 1.5.2-1.mga3
+ Revision: 324316
- new version 1.5.2

* Mon Sep 03 2012 fwang <fwang> 1.5-1.mga3
+ Revision: 287490
- update br
- new version 1.5

* Mon May 28 2012 kamil <kamil> 1.4-1.mga3
+ Revision: 247753
- drop P0 (merged upstream)
- new version 1.4

* Tue Jan 31 2012 kamil <kamil> 1.3-3.mga2
+ Revision: 203637
- fix paths and make them generic for games
- include mga-fix-working-paths.patch
  o fix paths in berusky.ini
  o fix path of the .ini file

* Mon Jan 30 2012 fwang <fwang> 1.3-2.mga2
+ Revision: 203418
- br gettext-devel
- do not pull gtk2 during build
- use sourcenum
- drop unneeded BR for gtk
- fix desktop file (remove ext from icon)
- SDL req does not exist, and does not to be speficied

* Mon Jan 30 2012 kamil <kamil> 1.3-1.mga2
+ Revision: 203356
- new version 1.3
- drop berusky-level-load.patch (merged upstream)

* Mon Jan 30 2012 kamil <kamil> 1.2-5.mga2
+ Revision: 203314
- adapt .spec for Mageia
- imported package berusky

